@media screen and (max-width: 600px){
    header{
        padding: 0;
    }
    header .right-header{
        padding: 0 !important;
    }

    .theme-button{
        width: 50px;
        height: 50px;
    }

    .header-content{
        grid-template-columns: 1fr;
        padding-bottom: 6rem;
    }

    .left-header{
        .header-shape{
            display: none;
        }
    }

    .right-header{
        grid-row: 1;
        width: 90%;
        margin: 0 auto;
        .name{
            font-size: 2.5rem !important;
        }
    }

    .header-content .left-header .image{
        margin: 0 auto;
        width: 90%;
    }

    .about-container{
        grid-template-columns: 1fr;
        .right-about{
            grid-template-columns: 1fr;
            padding-top: 2.5rem;
        }
        .left-about{
            padding-right: 0;
            p{
                padding-left: 0;
            }
        }
    }

    .timeline{
        grid-template-columns: 1fr;
        padding-bottom: 6rem;
    }

    .about-stats{
        .progress-bars{
            grid-template-columns: 1fr;
        }
    }

    .portfolios{
        grid-template-columns: 1fr;
        padding-bottom: 6rem;
    }

    .my-blogs{
        grid-template-columns: 1fr;
        padding-bottom: 6rem;
    }

    .section{
        padding: 2rem 2.5rem;
    }

    .main-title{
        h2{
            font-size: 2rem;
            span{
                font-size: 2.5rem;
            }
            .background-text{
                font-size: 3rem;
            }
        }
    }

    .controls{
        top: auto;
        bottom: 0;
        flex-direction: row;
        justify-content: center;
        left: 50%;
        transform: translateX(-50%);
        width: 100%;
        background-color: var(--color-grey5);
        .control{
            margin: 1rem .3rem;
        }
    }
}

@media screen and (max-width: 1432px){
    .header{
        padding: 0 !important;
    }

    .section{
        padding: 7rem 11rem;
    }

    .contact-content-container{
        flex-direction: column;
        .right-contact{
            margin-left: 0;
            margin-top: 2.5rem;
        }
    }

    .contact-content-container .right-contact .input-control-2{
        flex-direction: column;
    } 

    .contact-content-container .right-contact .input-control-2 :last-child{
        //Spacing before :last-child is important!
        margin-left: 0;
        margin-top: 1.5rem;
    } 
}

@media screen and (max-width: 1070px){
    .about-container{
        grid-template-columns: 1fr;
        .right-about{
            padding-top: 2.5rem;
        }
    }

    .portfolios{
        grid-template-columns: 1fr 1fr;
    }

    .blogs{
        grid-template-columns: 1fr 1fr;
    }

    .main-title{
        h2{
            font-size: 4rem;
            span{
                font-size: 4rem;
            }
            .background-text{
                font-size: 4.5rem;
            }
        }
    }
}

@media screen and (max-width: 970px){
    .section{
        padding: 7rem 6rem;
    }
}